summaryrefslogtreecommitdiffstats
path: root/network/etherape/etherape.SlackBuild
diff options
context:
space:
mode:
author Chris Abela2010-04-20 00:55:27 +0200
committer David Somero2010-05-15 10:38:31 +0200
commit7cc9f93402b5ffdf8ba33b08e9815f8082995b89 (patch)
tree974fa5d8e905f9b37383b3c123c5190b58ac3ed9 /network/etherape/etherape.SlackBuild
parent86ec380ce500ade963f703d088ac4b67611542a7 (diff)
downloadslackbuilds-7cc9f93402b5ffdf8ba33b08e9815f8082995b89.tar.gz
network/etherape: Added (A graphical network monitor)
Diffstat (limited to 'network/etherape/etherape.SlackBuild')
-rw-r--r--network/etherape/etherape.SlackBuild103
1 files changed, 103 insertions, 0 deletions
diff --git a/network/etherape/etherape.SlackBuild b/network/etherape/etherape.SlackBuild
new file mode 100644
index 0000000000..2032ec83e5
--- /dev/null
+++ b/network/etherape/etherape.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for etherape
+# Chris Abela 2010.03.23
+
+PRGNAM=etherape
+VERSION=${VERSION:-0.9.9}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+KDESU=${KDESU:-no}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# scrollkeeper is disabled.
+# If you want it enabled, remove the --disable-scrollkeeper
+#
+# then Install rarian before running this script.
+# rarian is available from slackbuilds.org.
+#
+# Then you will need to:
+# cd /usr
+# ln -s doc/rarian-0.8.1/librarian share/librarian
+#
+# Then run this script
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --disable-scrollkeeper
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS OVERVIEW \
+ README README.bugs README.help README.thanks TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+# IMO, this might have some security issues, use with care!
+if [ "$KDESU" = yes ] ;then
+ sed -i 's/Exec=etherape/Exec=kdesu etherape/' \
+ usr/share/applications/etherape.desktop
+fi
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}